net.ME1312.SubServers.Client.Bukkit.Library.Config

## Class YAMLValue

- java.lang.Object
- - net.ME1312.SubServers.Client.Bukkit.Library.Config.YAMLValue

    public class YAMLValue
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`YAMLValue(java.lang.Object obj, YAMLSection up, java.lang.String label, org.yaml.snakeyaml.Yaml yaml)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `asBoolean()`
`java.util.List<java.lang.Boolean>` `asBooleanList()`
`java.lang.String` `asColoredString(char color)`
`java.util.List<java.lang.String>` `asColoredStringList(char color)`
`double` `asDouble()`
`java.util.List<java.lang.Double>` `asDoubleList()`
`float` `asFloat()`
`java.util.List<java.lang.Float>` `asFloatList()`
`int` `asInt()`
`java.util.List<java.lang.Integer>` `asIntList()`
`long` `asLong()`
`java.util.List<java.lang.Long>` `asLongList()`
`java.lang.Object` `asObject()`
`java.util.List<?>` `asObjectList()`
`java.lang.String` `asRawString()`
`java.util.List<java.lang.String>` `asRawStringList()`
`YAMLSection` `asSection()`
`java.util.List<YAMLSection>` `asSectionList()`
`java.lang.String` `asString()`
`java.util.List<java.lang.String>` `asStringList()`
`java.util.UUID` `asUUID()`
`java.util.List<java.util.UUID>` `asUUIDList()`
`YAMLSection` `getDefiningSection()`
`boolean` `isBoolean()`
`boolean` `isDouble()`
`boolean` `isFloat(java.lang.String path)`
`boolean` `isInt()`
`boolean` `isList()`
`boolean` `isLong()`
`boolean` `isSection()`
`boolean` `isString()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### YAMLValue

    public YAMLValue(java.lang.Object obj,
                     YAMLSection up,
                     java.lang.String label,
                     org.yaml.snakeyaml.Yaml yaml)

### Method Detail

#### getDefiningSection

    public YAMLSection getDefiningSection()

#### asObject

    public java.lang.Object asObject()

#### asObjectList

    public java.util.List<?> asObjectList()

#### asBoolean

    public boolean asBoolean()

#### asBooleanList

    public java.util.List<java.lang.Boolean> asBooleanList()

#### asSection

    public YAMLSection asSection()

#### asSectionList

    public java.util.List<YAMLSection> asSectionList()

#### asDouble

    public double asDouble()

#### asDoubleList

    public java.util.List<java.lang.Double> asDoubleList()

#### asFloat

    public float asFloat()

#### asFloatList

    public java.util.List<java.lang.Float> asFloatList()

#### asInt

    public int asInt()

#### asIntList

    public java.util.List<java.lang.Integer> asIntList()

#### asLong

    public long asLong()

#### asLongList

    public java.util.List<java.lang.Long> asLongList()

#### asRawString

    public java.lang.String asRawString()

#### asRawStringList

    public java.util.List<java.lang.String> asRawStringList()

#### asString

    public java.lang.String asString()

#### asStringList

    public java.util.List<java.lang.String> asStringList()

#### asColoredString

    public java.lang.String asColoredString(char color)

#### asColoredStringList

    public java.util.List<java.lang.String> asColoredStringList(char color)

#### asUUID

    public java.util.UUID asUUID()

#### asUUIDList

    public java.util.List<java.util.UUID> asUUIDList()

#### isBoolean

    public boolean isBoolean()

#### isSection

    public boolean isSection()

#### isDouble

    public boolean isDouble()

#### isFloat

    public boolean isFloat(java.lang.String path)

#### isInt

    public boolean isInt()

#### isList

    public boolean isList()

#### isLong

    public boolean isLong()

#### isString

    public boolean isString()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`